Package org.zkoss.bind.sys.debugger.impl.info

## Class SaveInfo

- java.lang.Object
- - org.zkoss.bind.sys.debugger.impl.info.ExecutionInfoBase
  - - org.zkoss.bind.sys.debugger.impl.info.SaveInfo

- All Implemented Interfaces:
    `ExecutionInfo`

      public class SaveInfo
      extends ExecutionInfoBase

  Author:
    dennis

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `FORM_SAVE` |
    `static java.lang.String` | `PROP_SAVE` |
    `static java.lang.String` | `REFERENCE` |
    `static java.lang.String` | `TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaveInfo​(java.lang.String subtype, Component comp, java.lang.String condition, java.lang.String fromExpr, java.lang.String toExpr, java.lang.Object value, java.util.Map<java.lang.String,​java.lang.Object> args, java.lang.String note)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JSONObject` | `toJSON()` |

    - ### Methods inherited from class org.zkoss.bind.sys.debugger.impl.info.ExecutionInfoBase

      `getComponent, getNote, getSubtype, getType, put, putEssential, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### FORM_SAVE

          public static final java.lang.String FORM_SAVE

      See Also:
        Constant Field Values

    - #### PROP_SAVE

          public static final java.lang.String PROP_SAVE

      See Also:
        Constant Field Values

    - #### REFERENCE

          public static final java.lang.String REFERENCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SaveInfo

          public SaveInfo​(java.lang.String subtype,
                          Component comp,
                          java.lang.String condition,
                          java.lang.String fromExpr,
                          java.lang.String toExpr,
                          java.lang.Object value,
                          java.util.Map<java.lang.String,​java.lang.Object> args,
                          java.lang.String note)

  - ### Method Detail

    - #### toJSON

          public JSONObject toJSON()

      Overrides:
        `toJSON` in class `ExecutionInfoBase`